Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

nombre réponses : 5

#0 -1 »  probleme de compilation » Le 24/03/2006, à 13:33

Faical
Réponses : 8

Bonjour,
Je viens de faire partie de la famille Linux, et bien sûr je suis confronté à pas mal de petits soucis. En executant un script d'installation j'obtiens des messages d'erreurs du genre:

Make and install wrfsi binaries in /home/user1/WRF/wrfsi
ar: creating liblaps.a
fort2c_str.c: In function 'downcase_c':
fort2c_str.c:109: warning: incompatible implicit declaration of built-in function 'strncpy'
fort2c_str.c:111: warning: incompatible implicit declaration of built-in function 'strncat'
fort2c_str.c:115: warning: incompatible implicit declaration of built-in function 'strcpy'
fort2c_str.c: In function 'upcase_c':
fort2c_str.c:132: warning: incompatible implicit declaration of built-in function 'strlen'
.
.
.
rwl_v3.c: In function 'cstr_to_fstr_':
rwl_v3.c:540: warning: incompatible implicit declaration of built-in function 'strlen'
rwl_v3.c:542: warning: incompatible implicit declaration of built-in function 'strcpy'
rwl_v3.c:544: warning: incompatible implicit declaration of built-in function 'strcat'
rwl_v3.c:547: warning: incompatible implicit declaration of built-in function 'strncpy'
.
.
.

Et SVP comment rendre ifort le compilateur par défaut en utilisant perl

#1 Re : -1 »  probleme de compilation » Le 24/03/2006, à 18:06

Faical
Réponses : 8

Ok viddak, merci je vais re-essayer. . .
Et si non, quand il m'est demander de commencer ma ligne de commande par un '-b'

pgf90: '-b' must come at the start of the command line

j'ai beau la modifier dans le fichier d'installation perl, ca ne marche pas
Est ce que je doit poster la totalité du code en perl pour voir ou ca cloche?
A titre d'indication je tourne sous celeron avec ubuntu breezy 5.10 et mon principal compilateur fortran est le 'ifort' d'intel

merci encore

#2 Re : -1 »  probleme de compilation » Le 27/03/2006, à 11:27

Faical
Réponses : 8

Salut les amis
délolé de ne pas avoir été là depuis le vendredi soir. concernant l'installation du programme à partir du code source, il y a 13 options de proposées dont '--fc=g95' signifiant que le compilateur fortran utiliser sera le pgf90, xlf, fort ou le f90. Moi j'execute alors la commande:
"perl fichier_install.pl --fc=ifort" vu que je compile tous mes fichier fortran avec intel fortran. Ca n'a pas marché alors je me suis dit utilisons le compilateur fortran inclus dans la distribution et c'est la qu'il me sort le message d'érreur:
pgf90: '-b' must come at the start of the command line
make[1]: *** [machine_dependent.o] Error 1
ar: creating libw3.a
pgf90: '-b' must come at the start of the command line
make[1]: *** [datimx.o] Error 1
/bin/sh: m4: command not found
make[1]: *** [wrf_io.o] Error 127
pgf90: '-b' must come at the start of the command line
make[1]: *** [module_date_pack.o] Error 1
make: *** [lib] Error 1
pgf90: '-b' must come at the start of the command line
make[1]: *** [adjust_geog.o] Error 1
make: *** [ggminstall] Error 2
make[1]: *** No rule to make target `grib_prep.exe', needed by `install'.  Stop.make: *** [gprepinstall] Error 2
pgf90: '-b' must come at the start of the command line
make[1]: *** [module_hinterp_setup.o] Error 1
make: *** [hinterpinstall] Error 2
pgf90: '-b' must come at the start of the command line
make[1]: *** [module_vinterp_domain.o] Error 1
make: *** [vinterpinstall] Error 2
pgf90: '-b' must come at the start of the command line
make[1]: *** [siscan.o] Error 1
make: *** [utilinstall] Error 2
pgf90: '-b' must come at the start of the command line
make[1]: *** [module_staticpost_setup.o] Error 1
make: *** [spostinstall] Error 2

je n'y comprend pas grand chose. j'ai même rechercher les message d'erreurs dans les fichiers make qui accompagnent le code source et je n'ai toujours rien ???

#3 Re : -1 »  probleme de compilation » Le 27/03/2006, à 12:10

Faical
Réponses : 8

au fait j'ai trouver le 'make file' qui fait appel à pgf90 mais je ne sais et ne comprend toujours pas ou il faut que je mette le "-b" alors qu'il y a d'autre options et param ??

merci

#4 Re : -1 »  probleme de compilation » Le 27/03/2006, à 12:16

Faical
Réponses : 8

Pour tous vous dire, faites un tour du coté de:
http://www.mmm.ucar.edu/wrf/OnLineTutorial/INTRO/index.htm

la vous comprendrez ce que j'essaie de mettre en place sur ma machine

et au fait 'gene69' est ce que tu veux parler des librairies, et autres dependences par rapport aux programmes installés?. Si la réponse est oui, je l'ai fait. Toutes les dépendences et librairies dont dépends les programmes sont sur ma machine.